{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "flux/detail.html.twig" %}
{% import ":_includes:macros.html.twig" as appMacros %}

{% block subcontent %}

    <div class="box-body">
        <div class="visual-editor-prolog">
            <div class="blankslate-spacious blankslate">
                <a class="btn btn-primary" data-toggle="modal-remote" data-backdrop="static" href="{{ path('flux.editor.visual', {"id": flux.id}) }}">
                    <span class="fa fa-external-link"></span>&nbsp;
                    {{ "btn.open_visual_editor" | trans }}
                </a>
            </div>
            <div class="overlay"></div>
            <div data-codemirror="application/sparql-query">
                {{- flux.query -}}
            </div>
        </div>
    </div>

    {% if is_granted("flux.edit", flux) %}
    <div class="box-footer">
        {{ appMacros.partialDownloadBtn(flux) }}
        <a data-toggle="modal-remote"
           href="{{ path('flux.editor.switch_to_expert', {"id": flux.id}) }}"
           class="btn btn-warning" >
            <span class="fa fa-flask"></span> {{ "btn.switch_to_expert" | trans }}
        </a>
    </div>
    {% endif %}

{% endblock %}